import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:get/get_core/src/get_main.dart';
import 'package:location/base/base_page.dart';
import 'package:location/module/splash/splash_controller.dart';
import 'package:location/resource/assets.gen.dart';


class SplashPage extends BasePage<SplashController> {
  SplashPage({super.key});

  @override
  final SplashController controller = Get.put(SplashController());

  @override
  bool immersive() {
    return true;
  }

  @override
  Widget buildBody(BuildContext context) {
    return Stack(
      children: [
        Assets.images.bgPageBackground.image(width: double.infinity),
        Column(
          children: [
            SizedBox(height: 170.h),
            Center(
                child: Assets.images.iconLogo.image(width: 76.w, height: 76.w)),
          ],
        ),
        Padding(
          padding: EdgeInsets.only(bottom: 40.h),
          child: Align(
              alignment: Alignment.bottomCenter,
              child: Assets.images.iconSplashTitle.image(width: 167.w)),
        )
      ],
    );
  }
}
